# Achieving A Circular Economy With Free Software

Digital technology is a major contributor to environmental harm, whether it is the 'tsunami' of e-waste filling landfills or the CO2 emissions on a par with with aviation industry. Oft overlooked is that software itself plays a crucial role. Software and hardware are inextricably linked. Software bloat can result in hardware having higher energy demands that pump greenhouse gases into the atmosphere, or turn less powerful hardware into toxic waste in landfills. Discontinued software support can make functioning devices obsolete before their time, while new devices are manufactured unnecessarily -- the production of which often consumes more energy than the devices' use over their entire operating lives.

The four freedoms of Free & Open Source Software guarantee user autonomy. This autonomy permits users to install what they need and uninstall what they do not, bypassing bloatware and in turn conserving electricity. And this autonomy also means users may reuse older hardware as they see fit while keeping the software up-to-date, reducing global CO2 emissions by avoiding the unnecessary production and shipment of new devices. Moreover, the same four freedoms guarantee transparency. This has always entailed that anyone may inspect and learn from how software runs; today, this transparency can be extended to include software’s energy consumption when in use. When energy demands are transparent, Free Software can be repaired if it is unnecessarily inefficient, and users may make more informed choices.

A Free Software license means we can interrupt the linear digital economy of consume, use, and then discard and move toward a circular economy of reuse and repair -- both for software AND for hardware. In early 2023 KDE published the handbook "Applying The Blue Angel Criteria To Free Software", the culmination of a 21-month project funded by the German government. The handbook presents the whys, whats, and hows for certifying software as sustainable with the Blue Angel ecolabel. In this talk I will provide an overview of the environmental harm driven by software and how Free Software is well-positioned to address the issues. I will link the inherent values that come with a Free & Open Source Software license to sustainable software design, and I will present the various ways that Free Software aligns with the Blue Angel ecolabel. Finally, I will provide an overview of the current sustainability goal of KDE and the work of the KDE Eco initiative through the FOSS Energy Efficiency Project. This includes publishing the KDE Eco handbook, setting up a measurement lab for FOSS developers (KEcoLab), squashing hundreds of efficiency bugs, among others.

# Bio

Joseph P. De Veaugh-Geiss (he/him) is the community manager of the KDE Eco project. The goal of KDE Eco is to strengthen sustainability as part of the development and adoption of Free Software.
